import type { IEventBus } from "../../../utils/EventBus";
import type { IPendingTransactionsPanelData } from './pending-transactions-panel.types';
export declare class PendingTransactionstPanel {
    private eventBus;
    isOpen: boolean;
    data: IPendingTransactionsPanelData;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleOpen(): void;
    handleClose(): void;
    onClose(props?: {
        isUserClick: boolean;
    }): void;
    private dataUpdate;
    getEventBus(): Promise<IEventBus>;
    render(): any;
}
